package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFDH2Data {

    private Map<String, Object> params;
    
    public MWFDH2Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCmId() {
        return (String) params.get("RS_CM_ID");
    }

    public String rsItemtype() {
        return (String) params.get("RS_ITEMTYPE");
    }

    public String rsSemanticType() {
        return (String) params.get("RS_SEMANTIC_TYPE");
    }

    public String rsCrtUsr() {
        return (String) params.get("RS_CRT_USR");
    }

    public java.util.Date rsCrtTime() {
        return (java.util.Date) params.get("RS_CRT_TIME");
    }

    public String rsChgUsr() {
        return (String) params.get("RS_CHG_USR");
    }

    public java.util.Date rsChgTime() {
        return (java.util.Date) params.get("RS_CHG_TIME");
    }

    public String rsChckoutUsr() {
        return (String) params.get("RS_CHCKOUT_USR");
    }

    public java.util.Date rsChckoutTime() {
        return (java.util.Date) params.get("RS_CHCKOUT_TIME");
    }

    public String rsIbTypDokumentu() {
        return (String) params.get("RS_IB_TYP_DOKUMENTU");
    }

    public String rsGeRodneCislo() {
        return (String) params.get("RS_GE_RODNE_CISLO");
    }

    public String rsIbIdDokumentu() {
        return (String) params.get("RS_IB_ID_DOKUMENTU");
    }

    public String rsIbZpusobpodpisu() {
        return (String) params.get("RS_IB_ZPUSOBPODPISU");
    }

    public String rsIbIdpodpisu() {
        return (String) params.get("RS_IB_IDPODPISU");
    }

    public String rsIbStavsluzby() {
        return (String) params.get("RS_IB_STAVSLUZBY");
    }

    public String rsIbRegistautorita() {
        return (String) params.get("RS_IB_REGISTAUTORITA");
    }

    public java.util.Date rsIbCasoverazitko() {
        return (java.util.Date) params.get("RS_IB_CASOVERAZITKO");
    }

    public String rsGeDistribuce() {
        return (String) params.get("RS_GE_DISTRIBUCE");
    }

    public String rsGePristup() {
        return (String) params.get("RS_GE_PRISTUP");
    }

    public String rsDsCharakterDok() {
        return (String) params.get("RS_DS_CHARAKTER_DOK");
    }

    public Long rsDsLhutaSkart() {
        return (Long) params.get("RS_DS_LHUTA_SKART");
    }

    public java.util.Date rsDsDatumSkart() {
        return (java.util.Date) params.get("RS_DS_DATUM_SKART");
    }

    public String rsDsCitlivostDoku() {
        return (String) params.get("RS_DS_CITLIVOST_DOKU");
    } 

}
